<?php

if (!defined('ABSPATH')) {
    exit;
}

class PixfortCore {

    /**
     * Instance.
     *
     * Holds the plugin instance.
     *
     * @since 1.0.0
     * @access public
     * @static
     *
     */
    public static $instance = null;

    public static $isEnabled = true;

    public static $popups = array();

    /**
     * Areas Manager.
     *
     * The main dynamic areas manager in the plugin
     *
     * @since 1.0.0
     * @access public
     *
     * @var areasManager
     */
    public $areasManager;

    public $areasCache;


    public $popupType;

    public $optionsBack;

    function __construct() {
        $this->loader();
    }

    public static function instance() {
        if (is_null(self::$instance)) {
            self::$instance = new self();
            self::$instance->init();
        }
        return self::$instance;
    }

    private function loader() {
        require_once PIXFORT_PLUGIN_DIR . 'includes/post-types/popup.php';
        require_once PIXFORT_PLUGIN_DIR . 'includes/areas-cache.php';
        require_once PIXFORT_PLUGIN_DIR . 'includes/areas-manager.php';
        add_action('admin_init',  [ $this, 'admin_function_init' ]);
    }

    public function init() {
        $this->popupType = new PopupType();
        $this->areasCache = new areasCache();
        $this->areasManager = new AreasManager();
    }

    public function admin_function_init(){
        if (is_user_logged_in()) {
            require_once PIXFORT_PLUGIN_DIR . 'includes/options-back.php';
            $this->optionsBack = new OptionsBack();
        }
    }

    public static function addPopup($p) {
        array_push(self::$popups, $p);
    }

    public static function getPopups() {
        return self::$popups;
    }
}

PixfortCore::instance();
